## org.biojava.bio.seq.ragbag
Class RagbagMap.MapEnum

    java.lang.Object
      org.biojava.bio.seq.ragbag.RagbagMap.MapEnum

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  RagbagMap

public class RagbagMap.MapEnum
extends java.lang.Object
implements java.util.Enumeration

Enumeration object for RagbagMap. An Iterator was not used because a RagbagMap is immutable after it has completed initialisation.

Method Summary
`boolean` `hasMoreElements()`
`java.lang.Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`